Bug 212043 - Internal error in Samba while accessing non-Home shares
Internal error in Samba while accessing non-Home shares
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-10-24 15:03 EDT by Patrick Clément-Bonhomme
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-23 15:07:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Samba log with the client machine (52.78 KB, text/plain)
2006-10-24 15:03 EDT, Patrick Clément-Bonhomme
no flags Details
Samba configuration (1.12 KB, text/plain)
2006-10-24 15:06 EDT, Patrick Clément-Bonhomme
no flags Details
One of the core dumps made by Samba (178.76 KB, application/octet-stream)
2006-10-24 15:08 EDT, Patrick Clément-Bonhomme
no flags Details

  None (edit)
Description Patrick Clément-Bonhomme 2006-10-24 15:03:13 EDT
Description of problem:
Since 3.0.23c, Samba is unable to serve normal shares. While accessing them with
a SMB/CIFS client, the service panics with an internal error on signal 11. Thus,
the client cannot access the contents of the requested share, even though he got
the necessary permissions.

For some reason, it can serve files from the [homes] share without any issue,
even after the service panicked.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Configure a share different than [homes].
2. Start the Samba server.
3. Access the share with a SMB/CIFS client.
Actual results:
- The server panics and gives a core dump in /var/log/samba/cores/smbd.
- The client cannot access the share. In particular, MS Windows XP gives the
following error: "The network name is not available".

Expected results:
- The server doesn't panic.
- The client can access the contents from the share.

Additional info:
- The bug appeared in version 3.0.23c. It never occured with 3.0.23a or previous
versions on FC5. It DOES occur with the 3.0.23c update in FC5. In fact, I have
upgraded to FC6 *because* of this bug.
- SELinux was set in Permissive mode.
- It can be reproduced with the standard and the Xen kernel.
Comment 1 Patrick Clément-Bonhomme 2006-10-24 15:03:13 EDT
Created attachment 139254 [details]
Samba log with the client machine
Comment 2 Patrick Clément-Bonhomme 2006-10-24 15:06:48 EDT
Created attachment 139255 [details]
Samba configuration
Comment 3 Patrick Clément-Bonhomme 2006-10-24 15:08:23 EDT
Created attachment 139256 [details]
One of the core dumps made by Samba
Comment 4 Marek Kassur 2006-10-31 15:53:25 EST
Same problem, but on x86_64:

[2006/10/31 18:54:56, 0] lib/fault.c:fault_report(44)

  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2006/10/31 18:54:56, 0] lib/fault.c:fault_report(45)
[2006/10/31 18:54:56, 0] lib/util.c:smb_panic(1614)
  PANIC (pid 21334): internal error
[2006/10/31 18:54:56, 0] lib/util.c:log_stack_trace(1721)
  BACKTRACE: 21 stack frames:
   #0 smbd(log_stack_trace+0x1c) [0x5555557586cc]
   #1 smbd(smb_panic+0x43) [0x5555557587b3]
   #2 smbd [0x555555746b82]
   #3 /lib64/libpthread.so.0 [0x2aaaac259de0]
   #4 /lib64/libc.so.6(strlen+0x30) [0x2aaaad3c9510]
   #5 /lib64/libc.so.6(__strdup+0x16) [0x2aaaad3c9246]
   #6 /lib64/libnsl.so.1(nis_list+0x563) [0x2aaaacf3efa3]
   #7 /lib64/libnss_nisplus.so.2(_nss_nisplus_setnetgrent+0x8a) [0x2aaab268ce2a]
   #8 /lib64/libc.so.6(innetgr+0xcf) [0x2aaaad43dfff]
   #9 smbd(user_in_netgroup+0x6a) [0x5555555c679a]
   #10 smbd(token_contains_name_in_list+0x205) [0x5555555c8d05]
   #11 smbd(is_share_read_only_for_token+0x96) [0x5555555c8fb6]
   #12 smbd(change_to_user+0x3fa) [0x555555601bda]
   #13 smbd [0x55555561c8eb]
   #14 smbd(make_connection+0x168) [0x55555561d8d8]
   #15 smbd(reply_tcon_and_X+0x1fe) [0x5555555e95fe]
   #16 smbd [0x5555556195d2]
   #17 smbd(smbd_process+0x720) [0x55555561a5e0]
   #18 smbd(main+0xa0b) [0x5555557ed24b]
   #19 /lib64/libc.so.6(__libc_start_main+0xf4) [0x2aaaad371a44]
   #20 smbd [0x5555555b2409]
[2006/10/31 18:54:56, 0] lib/fault.c:dump_core(173)
  dumping core in /var/log/samba/cores/smbd
Comment 5 Marek Kassur 2006-10-31 16:04:05 EST
This bug should be changed to high severity as it makes samba almost unusable
(completely unusable with default selinux policy).
Comment 6 Marek Kassur 2006-11-01 16:42:22 EST
Here is similar bug report with woraround:
I'll check that tomorrow.
Comment 7 Marek Kassur 2006-11-02 17:49:09 EST
Using +group instead of @group works for me.
Comment 8 Vilius Šumskas 2006-11-07 01:39:47 EST
Confirmed here too.
Comment 9 Radek Hladik 2006-11-15 11:10:30 EST
Same problem here, samba crashes, +group works fine.
Comment 10 Kwan Lowe 2006-11-24 11:18:19 EST
Same problem as original post. +group works here also.
Comment 11 Simo Sorce 2007-11-23 15:07:38 EST
This was not a samba bug but a glibc bug, closing as it is fixed in recent releases.
Comment 12 Vilius Šumskas 2007-11-24 10:01:05 EST
Do you mean in Fedora 8 or Fedora Core 7 should work also?
Comment 13 Simo Sorce 2007-11-24 12:20:01 EST
F7 and F8 have the same samba version.
Comment 14 Vilius Šumskas 2007-11-24 14:07:41 EST
But you said it is glibc bug. I wanted to ask is this bug fixed in glibc which 
is available for Fedora Core 7?
Comment 15 Simo Sorce 2007-11-24 18:33:28 EST
IIRC yes.

Note You need to log in before you can comment on or make changes to this bug.